body {
  margin: 0;  
}

/* canvas de fondo */

#p5-background{
  position: fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  
  z-index:0; 
}

#p5-background canvas{
  position: absolute;
  top: 0;
  left: 0;

  width: 100% !important;
  height: 100.7% !important;

  display: block;
}

.layout{
  align-items: stretch;

  position: relative;
  z-index:1;

  display: flex;
  justify-content: center;

  max-width: 1600px;
  margin: 0 auto;
  gap: 0.1vw;
  
}


.content{
  
  width:700px;
  padding:40px;

  min-height:100vh;

  background:#751e4fc7;

  display: flex;            /* 👈 FALTABA ESTO */
  flex-direction: column;   /* 👈 FALTABA ESTO */

}

#view{
  flex: 1;   /* 👈 ESTO EMPUJA EL FOOTER */
}

.sidebar_left,
.sidebar_right{
  /* border-left: 1px solid #000000; */
  position: sticky;
  width: 180px;

  min-height: 100vh;

  background: rgba(117, 30, 79, 0);
  padding:5px;

  justify-content: center;

  padding-top: 40px;
  box-sizing: border-box;
  opacity: 0;

}
.side_bar_image{
  display: block;
  width: 85%; 
  height: auto;
  margin: 0 auto;
}
.sidebar_right p{
  font-family: "Lato", sans-serif;
  font-style: oblique;
  margin: 0 auto;
  width: 85%;
  font-size: 0.75em;
}

.vine-overlay1{
  position: absolute;
  top: -24px;
  left: 0;

  width: 16vw;  /* 👈 relativo a pantalla, no al contenedor */
  height: auto;

  object-fit: cover;

  pointer-events: none; 
  opacity: 0;

  z-index: 2;
}

.vine-overlay2{
  position: absolute;
  top: -60px;
  right: 160px;

  width: 14vw;  /* 👈 relativo a pantalla, no al contenedor */
  height: auto;

  object-fit: cover;

  pointer-events: none; 
  opacity: 0; 

  z-index: 2;
}


#random-archive-container{
  font-family: "Lato", sans-serif;
  width: 100%;
  margin: 0 auto;    
  background: #661c4644;
  padding: 20px;
  box-sizing: border-box;
  position: relative;
  margin-top: 50px;
  border-radius: 6px;
}

.tag{
  position: absolute;
  top: 10px;
  left: 10px;
  font-weight: bold;
  background: #831d57;
  color: #4b1e50;

  padding: 5px 10px;
  font-size: 0.8em;
  border-radius: 6px;
}


#random-archive{
  box-sizing: border-box;
  width: 100%;
  margin: 20px auto;
  object-fit: contain;
  overflow-y: auto;

  font-family: "Lato", sans-serif;
  background: #75184d00;

  padding-bottom: 30px;
  padding-left: 30px;
  padding-right: 30px;
}

.archive-post {
  width: 100%;
}

.archive-title {
  font-size: 2em;
  margin-bottom: 20px;
  color: #000000;
}

.archive-meta {
  font-size: 0.9em;
  color: #000000;
  margin-bottom: 40px;
}

.archive-meta span {
  margin-right: 15px;
}

.archive-content p {
  margin-bottom: 1em;
  line-height: 1.5;
}

.archive-image-container {
  width: 100%;
  max-width: 100%;
  text-align: center;
}

.archive-image {
  max-width: 100%;
  width: auto;
  height: auto;
  max-height: 400px;  /* Altura máxima para no deformar el layout */
  display: block;
  border-radius: 8px;  /* Opcional: esquinas redondeadas */
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);  /* Opcional: sombra suave */
  margin: 0 auto;
}

.image-caption {
  font-size: 0.9em;
  color: #000000;
  margin-top: 9px;
  font-style: italic;
  
}


#home-link{
  display: inline-flex;      
  align-items: center;      
  gap: 5px;         
}

#random-icon{
  height: 1.2em;            
  width: auto;
}

#main_title{
  margin-top: -1vh;
  text-align: center;
  color: rgb(0, 0, 0);
  font-family: 'digi';
  font-size: 60px;
  font-weight:450;
  /* text-shadow: 13px 1px 0 black; */
}

.navbar{
  display: flex;
  justify-content: center;
  gap: 50px;

  margin: 10px;
  padding: 10px;
  
  border-top: 1px solid #000000;
  border-bottom: 1px solid #000000;

}

.navbar a{
  text-decoration: none;
  color: rgb(0, 0, 0);
  font-size: 16px;
  /* font-family: 'neuro'; */
  font-family: 'Lato', sans-serif;
}

.navbar a:hover{
  /* background: #45064b; */
  color: rgb(255, 255, 255);
}

.footer{
  margin-top: 60px;
  padding-top: 0;

  /* border-top: 1px solid rgba(0,0,0,0.4); */

  text-align: center;
  font-family: 'Lato', sans-serif;
}

.footer-links{
  margin-top: 6px;
  margin-bottom: -20px;
  display: flex;
  justify-content: right;
  gap: 30px;
}

.footer-links a{
  text-decoration: none;
  color: #ff7593;
  opacity: 0.7;
}

.footer-links a:hover{
  opacity: 1;
  color: white;
}

@font-face {
    font-family: 'digi'; /*a name to be used later*/
    src: url('data/fonts/LEDLIGHT.otf');
}

@font-face {
    font-family: 'neuro'; /*a name to be used later*/
    src: url('data/fonts/neuro.otf');
}

.separator {
  display: flex;
  align-items: center;
  text-align: center;
}

.separator::before,
.separator::after {
  content: "";
  flex: 1;
  border-bottom: 1px solid #000;
}

.separator::before {
  margin-right: 10px;
}

.separator::after {
  margin-left: 10px;
}

